Bug 124230 - smartd fails during boot due to missing /dev/hda
Summary: smartd fails during boot due to missing /dev/hda
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-utils   
(Show other bugs)
Version: 2
Hardware: athlon
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-24 20:52 UTC by Aad Rijnberg
Modified: 2015-01-04 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 13:27:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aad Rijnberg 2004-05-24 20:52:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.6) Gecko/20040510

Description of problem:
My motherboard (Asus A7V) has an ATA66 controller to which I connected
a DVD-burner as master on the secondary bus (/dev/hdc). Besides, a
Promise ATA100 controller is available to which two ATA100 harddisks
are connected as master and slave on the primary bus (/dev/hde and
/dev/hdf). Finally I have a SCSI disk (/dev/sda).

When smartd starts, I get the following feedback in /var/log/messages:
May 24 18:30:30 localhost smartd[1986]: smartd version 5.21 Copyright
(C) 2002-3 Bruce Allen 
May 24 18:30:30 localhost smartd[1986]: Home page is
http://smartmontools.sourceforge.net/  
May 24 18:30:30 localhost smartd[1986]: Opened configuration file
/etc/smartd.conf 
May 24 18:30:30 localhost smartd[1986]: Configuration file
/etc/smartd.conf parsed. 
May 24 18:30:30 localhost smartd[1986]: Device: /dev/hda, No such
device or address, open() failed 
May 24 18:30:30 localhost smartd[1986]: Unable to register ATA device
/dev/hda at line 30 of file /etc/smartd.conf 
May 24 18:30:30 localhost smartd[1986]: Unable to register device
/dev/hda (no Directive -d removable). Exiting. 
May 24 18:30:30 localhost smartd: smartd startup failed

This also happened when I ran Fedora Core 1.

I know how to fix it (edit /etc/smartd.conf), but for other people it
might be confusing that after a fresh install they see error messages
at start-up.

Is it possible to create the /etc/smartd.conf during the install after
detection of the available hardware? This would be the most generic
solution that would work on all systems.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.131

How reproducible:
Always

Steps to Reproduce:
1.boot
2.look in /var/log/messages
3.
    

Actual Results:  See the feedback in /var/log/messages above

Expected Results:  It should activate smartd for hde and hdf, not nag
about hda not being present, and ignore sda (because it does not
support S.M.A.R.T.)

Additional info:

Comment 1 David Balažic 2004-06-09 07:25:56 UTC
Duplicate of bug 110747 ?

Comment 2 Matthew Miller 2005-04-26 16:31:10 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 John Thacker 2006-05-04 13:27:35 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.